Subject: [Healeys] Healey Sighting

From: Larry Wendland <[email-masked]>
Date: Sat, 13 Apr 2013 23:10:28 -0400 (EDT)

Today (Apr 13) at about 11:45a, I saw what looked like a Black 3000 with black
top up, luggage rack on the back with a suit case or cases on the rack driven
by a male.  It was heading north on I75 in Florida, south of exit 350 in a
world of hurt traffic jamb.  There was a car laying on it's side in the south
bound lanes between exit 352 & 350 (the direction I was driving) and I don't
know if there was an accident on the north bound side to cause that side's
backup.  Anybody on the list?

Larry
'67 BJ8
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys